#include "tskv_log.h"
#include <library/cpp/logger/global/rty_formater.h>

namespace NUtil {

TString TTSKVRecord::StdIName;

TTSKVRecord& TTSKVRecord::AddIsoEventTime() {
    // The names here are special (see LogFeller), not arbitrary
    ForceAdd("iso_eventtime", NLoggingImpl::GetLocalTimeS());
    ForceAdd("unixtime", MilliSeconds());
    return *this;
}

void TTSKVRecord::SetStdIName(const TString& iname) {
    StdIName = iname;
}

}

